Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object Provides information about a Unix group.

The type is a FxDG-compliant wrapper over the native type. It represents a single entry from the local group database, typically /etc/group.

Unix Groups are part of the file system access rules.

Access to file system objects (as represented by ) is controlled by the file system access permissions, . is a nine-bit field specifying read, write, and execute access for the owner, group, and everyone else (other).

Access by the file's owner group is controlled by the bits specified by ( & ). All group members get these access permissions, except for the file's owner (if they belong to the file's owner group).

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the group to get information about.
  Constructs and initializes a new instance of by using the specified entry.
  This constructor wraps , providing framework-compliant naming conventions over the native type.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the group id to get information about.
  Constructs and initializes a new instance of by looking up the specifed group id in the local group database file.
  This constructor looks up the specified group id in the local group database.
  The group id does not exist in the local group database.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the group to get information about.
  Constructs and initializes a new instance of by looking up the specifed group name in the local group database file.
  This constructor looks up the specified group name in the local group database.
  The group name does not exist in the local group database.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixGroupInfo[] Gets all groups listed in the local group database. A array containing information about all the local groups.

  An I/O error occurred. []

  Too many file descriptors in use by the process. []

  -or-

  Too many files are currently open in the system. []

  -or-

  Insufficient memory to allocate the group information structure. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] Gets the names of all group members. A array containing the names of all group members. There is no guarantee that the group member names returned are valid users on the system, i.e. that GetMemberNames().Select(m => new UnixUserInfo(m)).ToArray() won't generate an exception.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixUserInfo[] Get information about all the group members. A array containing information about all the group members. This is equivalent to creating a instance over each name returned by , except that invalid user names will not be returned.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Gets the group id. A containing the group's id.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the group name. A containing the group name.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the group password. A containing the group password. The group password isn't actually used for anything...
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Group Converts this instance into an equivalent instance. A instance containing the same information as this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.